gr::ieee802_15_4::chips_to_bits_fb_impl Class Reference

`#include <chips_to_bits_fb_impl.h>`

Inheritance diagram for gr::ieee802_15_4::chips_to_bits_fb_impl:
[legend]

## Public Member Functions

| chips_to_bits_fb_impl (std::vector< std::vector< float > > chip_seq)
| ~chips_to_bits_fb_impl ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::ieee802_15_4::chips_to_bits_fb
typedef boost::shared_ptr< chips_to_bits_fb > | sptr
Static Public Member Functions inherited from gr::ieee802_15_4::chips_to_bits_fb
static sptr | make (std::vector< std::vector< float > > chip_seq)
| Return a shared_ptr to a new instance of ieee802_15_4::chips_to_bits_fb. More...

## Constructor & Destructor Documentation

## chips_to_bits_fb_impl()

gr::ieee802_15_4::chips_to_bits_fb_impl::chips_to_bits_fb_impl | ( | std::vector< std::vector< float > > | chip_seq | ) |

## ~chips_to_bits_fb_impl()

gr::ieee802_15_4::chips_to_bits_fb_impl::~chips_to_bits_fb_impl | ( |  | ) |

## Member Function Documentation

## work()

int gr::ieee802_15_4::chips_to_bits_fb_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- chips_to_bits_fb_impl.h